API referenceBidding Spot Orders
POST /api/SpotOrders/GetHybridOrdersByDateAndMarket
Returns the complete editable Hybrid or Stepwise order grid for a dispatch day, Spot market, and market party, populated with the latest saved values and current entity and market constraints.
POST
/api/SpotOrders/GetHybridOrdersByDateAndMarketcurl -X POST "/api/SpotOrders/GetHybridOrdersByDateAndMarket" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"date": "2026-01-15T09:30:00Z",
"market": 1,
"marketPartyId": 0,
"entityId": 0
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Bidding.SpotMarketRequest
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.Spot.HybridOrderDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"dispatchDay": "2026-01-15T09:30:00Z",
"dispatchPeriod": 0,
"maxDispatchPeriod": 0,
"tradingTimezone": 0,
"periodDuration": 0,
"timestampFrom": "2026-01-15T09:30:00Z",
"timestampTo": "2026-01-15T09:30:00Z",
"id": 0,
"entityId": 0,
"entityCode": "string",
"entitySide": 1,
"capacity": 0,
"minCapacity": 0,
"availability": 0,
"physicalQuantity": 0,
"rrNomination": 0,
"currentMarketSchedule": 0,
"acceptedBlockQuantity": 0,
"margin": 0,
"entityName": "string",
"market": 1,
"marketName": "string",
"marketPartyId": 0,
"marketPartyName": "string",
"marketPartyCode": "string",
"biddingStrategyId": 0,
"step": 0,
"side": 1,
"value": 0,
"price": 0,
"maxPrice": 0,
"minPrice": 0,
"expectedQuantity": 0,
"orderItemId": 0,
"version": 0,
"isDraft": true
}
]
}